Qt 5.7 | Qt 3D | C++ Classes | QNodeDestroyedChange

Qt 5.7.1 Reference Documentation

# QNodeDestroyedChange Class

(Qt3DCore::QNodeDestroyedChange)

Used to notify when a node is destroyed. More...

Header: | #include <QNodeDestroyedChange>
qmake: | QT += 3dcore
Since: | Qt 5.7
Inherits: | QSceneChange

- List of all members, including inherited members

## Public Functions

| QNodeDestroyedChange(const QNode *node, const QVector<QNodeIdTypePair> &subtreeIdsAndTypes)
| ~QNodeDestroyedChange()
QVector<QNodeIdTypePair> | subtreeIdsAndTypes() const

- 4 public functions inherited from Qt3DCore::QSceneChange

## Related Non-Members

typedef | QNodeDestroyedChangePtr

## Detailed Description

Used to notify when a node is destroyed.

## Member Function Documentation

### QNodeDestroyedChange::QNodeDestroyedChange(const QNode *node, const QVector<QNodeIdTypePair> &subtreeIdsAndTypes)

Constructs a new QNodeDestroyedChange with node and its subtreeIdsAndTypes.

### QNodeDestroyedChange::~QNodeDestroyedChange()

Destroys the instance of QNodeDestroyedChange.

### QVector<QNodeIdTypePair> QNodeDestroyedChange::subtreeIdsAndTypes() const

Returns a vector of subtree node id type pairs

## Related Non-Members

### typedef Qt3DCore::QNodeDestroyedChangePtr

A shared pointer for QNodeDestroyedChange.